var ghpages = require('gh-pages');
const utils = require('./utils');

//Clean caché path
const cachePath = __dirname.replace("scripts", "node_modules/.cache/gh-pages");
utils.cleanDir(cachePath);

//Dev demo site build
ghpages.publish(
  'gh-pages',
  {
    branch: 'gh-pages',
    repo: 'git@github.com:sociopublico/oecd-swac.git',
    history: false,
    message: "DEV build for demo site"
  },
  function (err) {
    if (err) {
      console.error(err);
    } else {
      console.log('\x1b[36m%s\x1b[0m', "1. Published in 'gh-pages' branch for dev demo site, check https://sociopublico.github.io/oecd-swac !");
    }
  }
);
