var ghpages = require('gh-pages');
const utils = require('./utils');

//Clean caché path
const cachePath = __dirname.replace("scripts", "node_modules/.cache/gh-pages");
utils.cleanDir(cachePath);

//Prod client's build
ghpages.publish(
  'build',
  {
    branch: 'production',
    repo: 'git@github.com:sociopublico/oecd-swac.git',
    history: false,
    message: "PROD build for deploy",
    dotfiles: true
  },
  function (err) {
    if (err) {
      console.error(err);
    } else {
      console.log('\x1b[36m%s\x1b[0m', "2. Published in 'production' branch for client's deploy, check https://github.com/sociopublico/oecd-swac/tree/production !");
    }
  }
);
