const fs = require('fs');

function cleanDir(dir) {
  // delete directory recursively
  console.log(`Cleaning ${dir}...`);

  if (!fs.existsSync(dir)){
    fs.mkdirSync(dir);

    console.log(`Directory ${dir} Created Successfully.`);
  }

  fs.rmdirSync(dir, {recursive: true}, (err) => {
    if (err) {
      throw err;
    }
  });
  console.log(`Directory ${dir} deleted!`);



}

module.exports = {
  cleanDir
}
