import { getCountriesJson } from "../../src/utils/csv";

export default async function handler(req, res) {

    try {
        const parsedData = await getCountriesJson()
        res.status(200).json(parsedData)
    } catch(e) {
        res.status(400).json({
            error: true,
            message: 'Error. Try refreshing the page.'
        })
    }

}